Bug 167435 - [maintainer-update] Patch to define correct license for games/crossfire-client
Summary: [maintainer-update] Patch to define correct license for games/crossfire-client
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason Helfman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-29 22:00 UTC by Kevin Zheng
Modified: 2012-05-01 01:30 UTC (History)
0 users

See Also:


Attachments
file.diff (471 bytes, patch)
2012-04-29 22:00 UTC, Kevin Zheng
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Zheng 2012-04-29 22:00:20 UTC
The existing port in games/crossfire-client does not define a LICENSE. Crossfire is licensed under the GNU GPLv2, and the appropriate license needs to be defined in the Makefile.

Fix: Apply the attached patch to games/crossfire-client. A bump in PORTREVISION is probably not necessary, but the committer should decide for himself.

Patch attached with submission follows:
How-To-Repeat: Install games/crossfire-client. The build process will report that no license has been defined.
Comment 1 Jason Helfman freebsd_committer 2012-04-30 01:40:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

I'll take it.
Comment 2 Jason Helfman freebsd_committer 2012-05-01 01:27:35 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2012-05-01 01:27:35 UTC
jgh         2012-05-01 00:27:23 UTC

  FreeBSD ports repository

  Modified files:
    games/crossfire-client Makefile 
  Log:
  - attach gplv2 license
  
  PR:     ports/167435
  Submitted by:   maintainer, kevinz5000@gmail.com
  
  Revision  Changes    Path
  1.79      +3 -0      ports/games/crossfire-client/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"